import request from '@/utils/request'

// 查询企业大屏所需供应商数据列表
export function listENTERPRISESCREENDATA(query) {
  return request({
    url: '/business/ENTERPRISESCREENDATA/list',
    method: 'get',
    params: query
  })
}

// 查询企业大屏所需供应商数据所有列表
export function listAllENTERPRISESCREENDATA(query) {
  return request({
    url: '/business/ENTERPRISESCREENDATA/listAll',
    method: 'get',
    params: query
  })
}

// 查询企业大屏所需供应商数据详细
export function getENTERPRISESCREENDATA(id) {
  return request({
    url: '/business/ENTERPRISESCREENDATA/getInfo/' + id,
    method: 'get'
  })
}

// 新增企业大屏所需供应商数据
export function addENTERPRISESCREENDATA(data) {
  return request({
    url: '/business/ENTERPRISESCREENDATA/add',
    method: 'post',
    data: data
  })
}

// 修改企业大屏所需供应商数据
export function updateENTERPRISESCREENDATA(data) {
  return request({
    url: '/business/ENTERPRISESCREENDATA/edit',
    method: 'post',
    data: data
  })
}

// 删除企业大屏所需供应商数据
export function delENTERPRISESCREENDATA(id) {
  return request({
    url: '/business/ENTERPRISESCREENDATA/remove/' + id,
    method: 'get'
  })
}


